Loading...
Searching...
No Matches
RDKit::AtomMonomerInfo Class Reference

The abstract base class for atom-level monomer info. More...

`#include <MonomerInfo.h>`

Inheritance diagram for RDKit::AtomMonomerInfo:

## Public Types

enum | AtomMonomerType { UNKNOWN = 0 , PDBRESIDUE , OTHER }

## Public Member Functions

virtual | ~AtomMonomerInfo ()
| AtomMonomerInfo ()=default
| AtomMonomerInfo (AtomMonomerType typ, std::string nm="")
| AtomMonomerInfo (const AtomMonomerInfo &other)=default
const std::string & | getName () const
void | setName (const std::string &nm)
AtomMonomerType | getMonomerType () const
void | setMonomerType (AtomMonomerType typ)
virtual AtomMonomerInfo * | copy () const

## Detailed Description

The abstract base class for atom-level monomer info.

Definition at line 26 of file MonomerInfo.h.

## Member Enumeration Documentation

## AtomMonomerType

enum RDKit::AtomMonomerInfo::AtomMonomerType

Enumerator
UNKNOWN |
PDBRESIDUE |
OTHER |

Definition at line 28 of file MonomerInfo.h.

## Constructor & Destructor Documentation

## ~AtomMonomerInfo()

virtual RDKit::AtomMonomerInfo::~AtomMonomerInfo | ( |  | ) |

inline virtual

Definition at line 30 of file MonomerInfo.h.

## AtomMonomerInfo() [1/3]

RDKit::AtomMonomerInfo::AtomMonomerInfo | ( |  | ) |

default

Referenced by AtomMonomerInfo(), RDKit::AtomPDBResidueInfo::AtomPDBResidueInfo(), RDKit::AtomPDBResidueInfo::AtomPDBResidueInfo(), copy(), and RDKit::AtomPDBResidueInfo::copy().

## AtomMonomerInfo() [2/3]

RDKit::AtomMonomerInfo::AtomMonomerInfo | ( | AtomMonomerType | typ,
|  | std::string | nm = "" )

inline

Definition at line 33 of file MonomerInfo.h.

## AtomMonomerInfo() [3/3]

RDKit::AtomMonomerInfo::AtomMonomerInfo | ( | const AtomMonomerInfo & | other | ) |

default

References AtomMonomerInfo().

## Member Function Documentation

## copy()

virtual AtomMonomerInfo * RDKit::AtomMonomerInfo::copy | ( |  | ) | const

inline virtual

Reimplemented in RDKit::AtomPDBResidueInfo.

Definition at line 42 of file MonomerInfo.h.

References AtomMonomerInfo().

## getMonomerType()

AtomMonomerType RDKit::AtomMonomerInfo::getMonomerType | ( |  | ) | const

inline

Definition at line 39 of file MonomerInfo.h.

## getName()

const std::string & RDKit::AtomMonomerInfo::getName | ( |  | ) | const

inline

Definition at line 37 of file MonomerInfo.h.

## setMonomerType()

void RDKit::AtomMonomerInfo::setMonomerType | ( | AtomMonomerType | typ | ) |

inline

Definition at line 40 of file MonomerInfo.h.

## setName()

void RDKit::AtomMonomerInfo::setName | ( | const std::string & | nm | ) |

inline

Definition at line 38 of file MonomerInfo.h.

The documentation for this class was generated from the following file:

- MonomerInfo.h